package com.oqpo.api.web.dto.request.stinfo.item;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotBlank;


@Getter
@Setter
public class ItemContPopGridRequest extends GridRequest {

    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;

    @ApiModelProperty(value = "매장아이디")
    private String sStoreId;

    @ApiModelProperty(value = "발주가능여부")
    private String sPodrPssblDvsn;

    @ApiModelProperty(value = "품목명")
    private String sItemNm;

    @ApiModelProperty(value = "단가계약건 포함여부")
    private String contYn;

    protected ItemContPopGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
